#!/bin/bash
#
# updated by WIPAT 2554-11-11

export LANG=en.US
MYDIR="/var/log/freeradius/myaccount"
if [ ! -d ${MYDIR} ] ; then
  mkdir -p ${MYDIR}
fi
TODAY=$(date "+%Y%m%d")
MYFILE="${MYDIR}/${TODAY}"
if [ ! -e ${MYDIR} ] ; then
  touch ${MYDIR}
fi
MYTIME=$(echo $1|awk '{print strftime("%Y%m%d:%H:%M:%S",$1)}')
echo "${MYTIME};${USER_NAME};${CLIENT_IP_ADDRESS};$1;${ACCT_UNIQUE_SESSION_ID};${ACCT_STATUS_TYPE};${ACCT_SESSION_TIME};${FRAMED_IP_ADDRESS};${CALLING_STATION_ID};${NAS_IP_ADDRESS};${CALLED_STATION_ID}" >> ${MYFILE}
