#!/bin/bash

# updated by WIPAT 2554-01-31
# updated by WIBOON 2556-02-22

export LANG=en.US
MYDIR="/var/log/freeradius/myauthen"
if [ ! -d ${MYDIR} ] ; then
  mkdir -p ${MYDIR}
fi
TODAY=$(date "+%Y%m%d")
MYFILE="${MYDIR}/${TODAY}"
if [ ! -e ${MYFILE} ] ; then
  touch ${MYFILE}
fi
# Old method
#MYTIME=$(echo $1|awk '{print strftime("%Y%m%d:%H:%M:%S",$1)}')
#echo "${MYTIME};${USER_NAME};$2;$1;PREBLACKLIST" >> ${MYFILE}

# New method
# ${MYFILE}.${USER_NAME}.$1 from log-radius-authen.sh
echo "PREBLACKLIST" | paste -d ';' ${MYFILE}.${USER_NAME}.$1 - >> ${MYFILE}
rm -f ${MYFILE}.${USER_NAME}.$1
#
